package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * staff与clerk绑定日志
 * @author fdh
 */
public class StaffClerkBindLogDetailDTO implements Serializable {
    /**
     *
     */
    private Integer logId;

    /**
     *   被操作staff
     *
     */
    private String staffId;

    /**
     * 备操作userId
     */
    private String wxUserId;

    /**
     * staff名称
     */
    private String staffName;

    /**
     *   企业微信id
     *
     */
    private String wxEnterpriseId;

    /**
     *   操作人staffId
     *
     */
    private String optStaffId;

    /**
     * 操作名称
     */
    private String optStaffName;

    /**
     *   操作类型 0 绑定 1解绑
     *
     */
    private Integer optType;

    /**
     *   渠道编码 1001=后台管理员绑定 1002=好办客户端绑定 1003=审核绑定  1004=同步绑定 2001=后台管理员解绑 2002=好办客户端解绑  1003=同步解绑
     *
     */
    private Integer channelCode;

    /**
     *   gic enterpriseId
     *
     */
    private String enterpriseId;

    /**
     *   gicClerkid
     *
     */
    private String clerkId;
    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 导购手机号
     */
    private String clerkPhoneNumber;

    /**
     *   clerkcode
     *
     */
    private String clerkCode;

    private String clerkPhone;

    /**
     * 关联id
     */
    private String relationId;


    /**
     *   创建时间
     *
     */
    private Date createTime;

    /**
     *   更新时间
     *
     */
    private Date updateTime;
    private String operName ;

    /**
     */
    private static final long serialVersionUID = 1L;

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public String getClerkPhone() {
        return clerkPhone;
    }

    public void setClerkPhone(String clerkPhone) {
        this.clerkPhone = clerkPhone;
    }

    public Integer getLogId() {
        return logId;
    }

    public void setLogId(Integer logId) {
        this.logId = logId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getOptStaffId() {
        return optStaffId;
    }

    public void setOptStaffId(String optStaffId) {
        this.optStaffId = optStaffId;
    }

    public String getOptStaffName() {
        return optStaffName;
    }

    public void setOptStaffName(String optStaffName) {
        this.optStaffName = optStaffName;
    }

    public Integer getOptType() {
        return optType;
    }

    public void setOptType(Integer optType) {
        this.optType = optType;
    }

    public Integer getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(Integer channelCode) {
        this.channelCode = channelCode;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkPhoneNumber() {
        return clerkPhoneNumber;
    }

    public void setClerkPhoneNumber(String clerkPhoneNumber) {
        this.clerkPhoneNumber = clerkPhoneNumber;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}